#ifndef I2C_KEY_H
#define I2C_KEY_H

uint8_t get_key_press( uint8_t );
uint8_t get_key_rpt( uint8_t );
uint8_t get_key_short( uint8_t );
uint8_t get_key_long( uint8_t );
uint8_t test_i2c_key(void);
//void timer2_init(void);
volatile unsigned char _i2c_key=0;

#ifndef I2C_TASTATUR
extern uint8_t test_flags;
#define I2C_TASTATUR 0
#define I2C_TASTATUR_8574 1
#define I2C_TASTATUR_8574A 2
#define RTC_CHIP 3
#define RTC_1307 4
#define RTC_3231 5
#endif


// --------------- KEY --------------- 
#if defined(__AVR_ATmega328P__)
#define KEY_LEFT        0
#define KEY_ESC		1
#define KEY_UP          2
#define KEY_DOWN	3
#define KEY_RIGHT       4
#define KEY_ENTER       5
//#define KEY_7       	6
//#define KEY_8       	7

#elif defined(__AVR_ATmega1284P__)
#define KEY_LEFT        6
#define KEY_ESC		7
#define KEY_UP          4
#define KEY_DOWN	5
#define KEY_RIGHT       1
#define KEY_ENTER       0
//#define KEY_7         2
//#define KEY_8         3
#endif

#define ALL_KEYS       	(1<<KEY_ESC | 1<<KEY_UP | 1<<KEY_LEFT | 1<<KEY_RIGHT | 1<<KEY_DOWN | 1<<KEY_ENTER /*| 1<<KEY_7 | 1<<KEY_8*/)
 
#define REPEAT_MASK     (1<<KEY_UP | 1<<KEY_LEFT | 1<<KEY_RIGHT | 1<<KEY_DOWN)   // (1<<KEY1 | 1<<KEY2)    // repeat: key1, key2
#define REPEAT_START    50                        // after 500ms
#define REPEAT_NEXT     15                        // every 200ms

// 0x38
#define PCF8574A_0  		0x70    // device address of PCF8574, see datasheet
#define PCF8574_0 		0x40    // device address of PCF8574, see datasheet

/* 
extern volatile uint8_t key_state;  // debounced and inverted key state:
                                    // bit = 1: key pressed
extern volatile uint8_t key_press;  // key press detect
extern volatile uint8_t key_rpt;    // key long press and repeat
extern volatile uint8_t _i2c_key;
extern volatile uint8_t ct0, ct1, rpt;
*/



#endif // #ifndef I2C_KEY_H




